Page 1 of 3 123 LastLast
Results 1 to 10 of 24
Discuss [2.1] iEraser gets Killed. Bbupdater too at the Free Toolchain Software (Cydia App's) - Hackint0sh.org; I uploaded Ieraser, Secpack, bbupdater to /usr/bin/ Because i need to ierase it to fix ...
  1. #1
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default [2.1] iEraser gets Killed. Bbupdater too

    I uploaded Ieraser, Secpack, bbupdater to /usr/bin/
    Because i need to ierase it to fix error 1011

    When i want to unload CommCenter.
    I will reply. Error unloading CommCenter.
    So I just get into the folder and erase it.

    But when i Execute ieraser.
    It will say Killed.
    I chmod it with 775 and 777 and in both
    cases it happens the same.
    Killed.

    Thanks
    Hernan



  2. #2
    iPhone Moderator Array

    Join Date
    Aug 2007
    Posts
    3,620
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    220

    Default

    Quote Originally Posted by lamanodedios View Post
    I uploaded Ieraser, Secpack, bbupdater to /usr/bin/
    Because i need to ierase it to fix error 1011

    When i want to unload CommCenter.
    I will reply. Error unloading CommCenter.
    So I just get into the folder and erase it.

    But when i Execute ieraser.
    It will say Killed.
    I chmod it with 775 and 777 and in both
    cases it happens the same.
    Killed.

    Thanks
    Hernan
    Hi Hernan!
    I am not sure but would guess that both dont work with 2.1. Happens to lots of executables.
    Read the stickies and search the forum before posting!
    If you want to become a Hackint0sh supporter click here
    ----------
    iPhone 4 factory unlocked, iOS 4.3.1, jailbroken
    iPad Wi-Fi + 3G (1G), iOS 4.3.1, jailbroken
    iPad 2

  3. #3
    Senior Professional Array stonefred's Avatar

    Join Date
    Nov 2007
    Posts
    326
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    25

    Default

    try this:

    you have to install ldid only once
    PHP Code:
    apt-get install ldid 
    PHP Code:
    chmod +/usr/bin/plutil
    ldid 
    -/usr/bin/plutil 
    and then you have to make your binary executeable and fakesign it. After that it'll be not longer killed

    HTH
    Every time you Can Has, God kills a LOLcat.

  4. #4
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default

    Quote Originally Posted by stonefred View Post
    try this:

    you have to install ldid only once
    PHP Code:
    apt-get install ldid 
    PHP Code:
    chmod +/usr/bin/plutil
    ldid 
    -/usr/bin/plutil 
    and then you have to make your binary executeable and fakesign it. After that it'll be not longer killed

    HTH

    Thanks.
    But.

    localhost:~ root# apt-get install ldid
    Reading package lists... Done
    Building dependency tree... Done
    E: Couldn't find package ldid
    I tried to go one though and:

    localhost:~ root# chmod +x /usr/bin/plutil
    chmod: cannot access `/usr/bin/plutil': No such file or directory
    And going on:

    localhost:~ root# ldid -S /usr/bin/plutil
    -sh: ldid: command not found
    And going on with ieraser:

    localhost:~ root# cd /usr/bin/
    localhost:/usr/bin root# ieraser
    dyld: Library not loaded: /usr/lib/libgcc_s_v6.1.dylib
    Referenced from: /usr/bin/ieraser
    Reason: image not found
    Trace/BPT trap
    And bbupdater:

    localhost:/usr/bin root# bbupdater
    dyld: Library not loaded: /usr/lib/libgcc_s_v6.1.dylib
    Referenced from: /usr/bin/bbupdater
    Reason: image not found
    Trace/BPT trap

    Thanks Though.
    Do u know whats going on?

  5. #5
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default

    I tried apt-get update
    and it will say there are some
    packages lost. Or something like that.

    I will post it later.
    I got to go to college.


  6. #6
    Senior Professional Array stonefred's Avatar

    Join Date
    Nov 2007
    Posts
    326
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    25

    Default

    ldid does only work with iPhone Firmware >= 2.0.0
    I'm not sure that your bbupdater will work on Firmware 2.x.x - I'd use anything from Cydia to erase BB or upgrade BB to the latest one
    of course bbupdater or anything BB-related will not work on iPhone 3G (yet)

    1. ssh to your iphone's IP ssh root@192.168.0.64 and enter password alpine
    2. update sources apt-get update
    3. download and install ldid apt-get install ldid
    4. confirm with Y to install depencies
    5. upload "yourbinary" (=any binaryfile you want to execute) via SFTP or something else to /usr/bin
    6. make your binary executeable chmod +x /usr/bin/yourbinary
    7. change owner in case it is wrong chown root:wheel /usr/bin/yourbinary
    8. sign your binary ldid -S /usr/bin/yourbinary
    9. execute your binary with /usr/bin/yourbinary
    Last edited by stonefred; 09-30-2008 at 09:33 PM.
    Every time you Can Has, God kills a LOLcat.

  7. #7
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default

    Quote Originally Posted by stonefred View Post
    ldid does only work with iPhone Firmware >= 2.0.0
    I'm not sure that your bbupdater will work on Firmware 2.x.x - I'd use anything from Cydia to erase BB or upgrade BB to the latest one
    of course bbupdater or anything BB-related will not work on iPhone 3G (yet)

    1. ssh to your iphone's IP ssh root@192.168.0.64 and enter password alpine
    2. update sources apt-get update
    3. download and install ldid apt-get install ldid
    4. confirm with Y to install depencies
    5. upload "yourbinary" (=any binaryfile you want to execute) via SFTP or something else to /usr/bin
    6. make your binary executeable chmod +x /usr/bin/yourbinary
    7. change owner in case it is wrong chown root:wheel /usr/bin/yourbinary
    8. sign your binary ldid -S /usr/bin/yourbinary
    9. execute your binary with /usr/bin/yourbinary
    The iPhone is Edge.
    Firmware 2.1

    The Modem Firmware is not there.
    Because it has error 1011 (NO IMEI, NO WIFI, NO BLUETOOTH, NO NOTHING)

    So I cant download from Cydia.
    I will try this again.

    Thanks
    Hernan

  8. #8
    Senior Professional Array stonefred's Avatar

    Join Date
    Nov 2007
    Posts
    326
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    25

    Default

    IC - you need internet connection for using apt-get - otherwise you will not be able to install ldid and can't sign your binarys.

    Suggestion:
    downgrade with pwned firmware 1.1.4 in DFU-mode, there you do not have to sign binarys and therefore do not need to use apt-get.

    then upload your binarys and execute them. If you have a Windows PC then use iPhonetunnelsuite - you can use SFTP (filezilla) and SSH (putty) through iPhone Tunnelsuite (connect to 127.0.0.1 port 22) and USB-Cable. You are able to use your PCs Keyboard and change file permissions on the phone.

    I think you have to downgrade iTunes to 7.6 or you will not be able to downgrade.
    Every time you Can Has, God kills a LOLcat.

  9. #9
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default

    Quote Originally Posted by stonefred View Post
    IC - you need internet connection for using apt-get - otherwise you will not be able to install ldid and can't sign your binarys.

    Suggestion:
    downgrade with pwned firmware 1.1.4 in DFU-mode, there you do not have to sign binarys and therefore do not need to use apt-get.

    then upload your binarys and execute them. If you have a Windows PC then use iPhonetunnelsuite - you can use SFTP (filezilla) and SSH (putty) through iPhone Tunnelsuite (connect to 127.0.0.1 port 22) and USB-Cable. You are able to use your PCs Keyboard and change file permissions on the phone.

    I think you have to downgrade iTunes to 7.6 or you will not be able to downgrade.
    Are u Sure it will work?
    I think i need to erase it in 2.1
    Because i already used kIphone to ierase it
    in 1.1.4 and it didnt fixed it.

    Theres is any way to download ldid [zip or something]
    and pass it trough iTunnel to the iPhone?

    Thanks
    Hernan
    Last edited by lamanodedios; 10-01-2008 at 12:52 AM.

  10. #10
    Respected Professional Array

    Join Date
    Sep 2007
    Posts
    575
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    36

    Default

    There is any way to use NetShare
    the other way around?
    I am saying.
    Use mi pc internet connection to give it
    to the iPhone?


 

 
Page 1 of 3 123 LastLast

Similar Threads

  1. pwn to lower 3g firmware, run ieraser to erase Baseband 2.30 then, bbupdater to 2.28?
    By whichwayisfriday in forum Free Toolchain Software (Cydia App's)
    Replies: 3
    Last Post: 04-11-2009, 05:04 PM
  2. ieraser problem??
    By pogramci in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 11-23-2007, 08:06 PM
  3. Replies: 3
    Last Post: 10-03-2007, 05:05 AM
  4. Always getting ieraser bus error
    By connect7 in forum General
    Replies: 4
    Last Post: 09-03-2007, 10:53 AM
  5. ieraser help!
    By donetodeath in forum General
    Replies: 11
    Last Post: 08-28-2007, 09:33 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:33 AM.
twitter, follow us!